SPECS: relup.sh - add usage

glen glen at pld-linux.org
Tue Nov 27 22:37:10 CET 2007


Author: glen                         Date: Tue Nov 27 21:37:10 2007 GMT
Module: SPECS                         Tag: HEAD
---- Log message:
- add usage

---- Files affected:
SPECS:
   relup.sh (1.13 -> 1.14) 

---- Diffs:

================================================================
Index: SPECS/relup.sh
diff -u SPECS/relup.sh:1.13 SPECS/relup.sh:1.14
--- SPECS/relup.sh:1.13	Fri Nov  9 12:55:25 2007
+++ SPECS/relup.sh	Tue Nov 27 22:37:05 2007
@@ -19,6 +19,19 @@
 	echo "$out"
 }
 
+usage="Usage:
+${0##*/} [-i] [-t] [-m <MESSAGE>] <SPECLIST>
+
+Options:
+-i
+  Try to increment package release
+-t
+  Test mode. do not commit
+-m
+  Specify commit message
+
+"
+
 get_release() {
 	local specfile="$1"
 	rel=$(awk '/^%define[ 	]*_rel[ 	]/{print $NF}' $specfile)
@@ -44,7 +57,7 @@
 	exit 1
 fi
 
-t=$(getopt -o 'm:it' -n $(dirname "$0") -- "$@") || exit $?
+t=$(getopt -o 'm:ith' -n "${0##*/}" -- "$@") || exit $?
 # Note the quotes around `$t': they are essential!
 eval set -- "$t"
 
@@ -60,6 +73,10 @@
 		shift
 		message="${1#- }"
 		;;
+	-h)
+		echo "$usage"
+		exit 0
+		;;
 	--)
 		shift
 	   	break
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/SPECS/relup.sh?r1=1.13&r2=1.14&f=u



More information about the pld-cvs-commit mailing list